package com.dcsoft.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dcsoft.system.mapper.SysPeopleEquipmentMapper;
import com.dcsoft.system.domain.SysPeopleEquipment;
import com.dcsoft.system.service.ISysPeopleEquipmentService;

/**
 * 人员设备下发信息Service业务层处理
 *
 * @author dcsoft
 * @date 2023-06-12
 */
@Service
public class SysPeopleEquipmentServiceImpl implements ISysPeopleEquipmentService
{
    @Autowired
    private SysPeopleEquipmentMapper sysPeopleEquipmentMapper;

    /**
     * 查询人员设备下发信息
     *
     * @param id 人员设备下发信息主键
     * @return 人员设备下发信息
     */
    @Override
    public SysPeopleEquipment selectSysPeopleEquipmentById(Long id)
    {
        return sysPeopleEquipmentMapper.selectSysPeopleEquipmentById(id);
    }

    /**
     * 查询人员设备下发信息列表
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 人员设备下发信息
     */
    @Override
    public List<SysPeopleEquipment> selectSysPeopleEquipmentList(SysPeopleEquipment sysPeopleEquipment)
    {
        return sysPeopleEquipmentMapper.selectSysPeopleEquipmentList(sysPeopleEquipment);
    }

    /**
     * 新增人员设备下发信息
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 结果
     */
    @Override
    public int insertSysPeopleEquipment(SysPeopleEquipment sysPeopleEquipment)
    {
        return sysPeopleEquipmentMapper.insertSysPeopleEquipment(sysPeopleEquipment);
    }

    /**
     * 修改人员设备下发信息
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 结果
     */
    @Override
    public int updateSysPeopleEquipment(SysPeopleEquipment sysPeopleEquipment)
    {
        return sysPeopleEquipmentMapper.updateSysPeopleEquipment(sysPeopleEquipment);
    }

    /**
     * 批量删除人员设备下发信息
     *
     * @param ids 需要删除的人员设备下发信息主键
     * @return 结果
     */
    @Override
    public int deleteSysPeopleEquipmentByIds(Long[] ids)
    {
        return sysPeopleEquipmentMapper.deleteSysPeopleEquipmentByIds(ids);
    }

    /**
     * 删除人员设备下发信息信息
     *
     * @param id 人员设备下发信息主键
     * @return 结果
     */
    @Override
    public int deleteSysPeopleEquipmentById(Long id)
    {
        return sysPeopleEquipmentMapper.deleteSysPeopleEquipmentById(id);
    }

    /**
     * 查询人员设备下发信息
     *
     * @param guid 人员设备下发信息主键
     * @return 人员设备下发信息
     */
    @Override
    public SysPeopleEquipment selectSysPeopleEquipmentByGuId(String guid)
    {
        return sysPeopleEquipmentMapper.selectSysPeopleEquipmentByGuId(guid);
    }

    /**
     * 查询人员设备下发信息
     *
     * @param peopleId 人员设备下发信息主键
     * @return 人员设备下发信息
     */
    @Override
    public List<SysPeopleEquipment> selectSysPeopleEquipmentByPeopleId(String peopleId)
    {
        return sysPeopleEquipmentMapper.selectSysPeopleEquipmentByPeopleId(peopleId);
    }

    /**
     * 查询人员设备下发信息
     *
     * @param peopleId 人员设备下发信息主键
     * @return 人员设备下发信息
     */
    @Override
    public List<SysPeopleEquipment> selectSysPeopleEquipmentByVisitorId(Long visitorId)
    {
        return sysPeopleEquipmentMapper.selectSysPeopleEquipmentByVisitorId(visitorId);
    }

    @Override
    public int deleteSysPeopleEquipmentByPeopleId(Long id) {
        return sysPeopleEquipmentMapper.deleteSysPeopleEquipmentByPeopleId(id);
    }

    @Override
    public int deleteSysPeopleEquipmentByEquipmentId(Long equipmentId) {
        return sysPeopleEquipmentMapper.deleteSysPeopleEquipmentByEquipmentId(equipmentId);
    }


}
